Skip to main content
GET
/
account-info
/
v3
/
details
Retrieve account details
curl --request GET \
  --url https://api.hubapi.com/account-info/v3/details \
  --header 'Authorization: Bearer <token>'
{
  "additionalCurrencies": [
    "NZD",
    "AUD",
    "EUR"
  ],
  "companyCurrency": "USD",
  "dataHostingLocation": "eu1",
  "portalId": 12345678,
  "timeZone": "US/Eastern",
  "uiDomain": "app-eu1.hubspot.com",
  "utcOffset": "-04:00",
  "utcOffsetMilliseconds": -14400000
}

Supported products

Requires one of the following products or higher.
Marketing HubMarketing Hub -Free
Sales HubSales Hub -Free
Service HubService Hub -Free
Content HubContent Hub -Free
Data HubData Hub -Free

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

successful operation

accountType
enum<string>
required

The type of account, such as APP_DEVELOPER, DEVELOPER_TEST, SANDBOX, or STANDARD.

Available options:
APP_DEVELOPER,
DEVELOPER_TEST,
SANDBOX,
STANDARD
additionalCurrencies
string[]
required
companyCurrency
string
required

The primary currency used by the company.

dataHostingLocation
string
required

The location where the account's data is hosted.

portalId
integer<int32>
required

The unique identifier for the HubSpot account.

timeZone
string
required

The time zone in which the account operates.

uiDomain
string
required

The domain used for accessing the HubSpot user interface.

utcOffset
string
required

The time zone offset from UTC in hours and minutes.

utcOffsetMilliseconds
integer<int64>
required

The time zone offset from UTC in milliseconds.

Last modified on December 16, 2025